package com.nsgk.ruralWeb.sys;

import android.location.LocationManager;

import com.nsgk.ruralWeb.BuildConfig;
import com.nsgk.ruralWeb.enums.NSEnums;

public final class NSConstants
{
    /**
     * App首页链接地址
     * 可以在 /gradle.properties 里配置 appHomeUrl=链接地址, 不要携带双引号
     * 也可以在命令行添加 -PappHomeUrl="链接地址", 双引号可携带也可不携带
     */
    public static String AppHomeUrl()
    {
        return BuildConfig.APP_HOME_URL;
    }

    /**
     * App启动页版权文本
     * 可以在 /gradle.properties 里配置 appCopyright=文本, 不要携带双引号
     * 也可以在命令行添加 -PappCopyright="文本", 双引号可携带也可不携带
     */
    public static String AppCopyright()
    {
        return BuildConfig.APP_COMPYRIGHT;
    }

    /**
     * App启动页厂商文本
     * 可以在 /gradle.properties 里配置 appVendor=文本, 不要携带双引号
     * 也可以在命令行添加 -PappVendor="文本", 双引号可携带也可不携带
     */
    public static String AppVendor()
    {
        return BuildConfig.APP_VENDOR;
    }

    public static String AppIcon()
    {
        return BuildConfig.APP_ICON;
    }

    // 偏好默认值
    public static final String  DEFAULT_LOCATION_SCHEME              = NSEnums.LocationScheme.REALTIME;
    public static final int     DEFAULT_LOCATION_GAODE_INTERVAL      = 1000;
    public static final int     DEFAULT_LOCATION_GAODE_READ_COUNT    = 1;
    public static final String  DEFAULT_LOCATION_PROVIDER            = LocationManager.GPS_PROVIDER;
    public static final int     DEFAULT_LOCATION_REALTIME_INTERVAL   = 1000;
    public static final int     DEFAULT_LOCATION_REALTIME_DISTANCE   = 1;
    public static final int     DEFAULT_LOCATION_REALTIME_READ_COUNT = 1;
    public static final boolean DEFAULT_OPEN_LAST_URL                = false;
    public static final int     DEFAULT_FONT_SCALE                   = 100;

    private NSConstants() {}
}
