package com.nsgk.ruralWeb.sys;

import android.content.Context;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;

import com.nsgk.ruralWeb.utils.NSStr;

public final class NSPreference
{
    public static final String LOCATION_SCHEME              = "location_scheme";
    public static final String LOCATION_GAODE_INTERVAL      = "location_gaode_interval";
    public static final String LOCATION_GAODE_READ_COUNT    = "location_gaode_read_count";
    public static final String LOCATION_PROVIDER   = "location_provider";
    public static final String LOCATION_REALTIME_INTERVAL   = "location_realtime_interval";
    public static final String LOCATION_REALTIME_DISTANCE   = "location_realtime_distance";
    public static final String LOCATION_REALTIME_READ_COUNT = "location_realtime_read_count";
    public static final String OPEN_LAST_URL                = "open_last_url";
    public static final String LAST_ACCESS_URL              = "last_access_url";
    public static final String COOKIES                      = "cookies";
    public static final String FONT_SCALE                      = "font_scale";
    public static final String RESET_SETTINGS               = "RESET_SETTINGS";
    public static final String VERSION               = "VERSION";

    private final Context context;

    public NSPreference(Context context)
    {
        this.context = context;
    }

    public SharedPreferences Read()
    {
        return PreferenceManager.getDefaultSharedPreferences(context);
    }

    public SharedPreferences.Editor Write()
    {
        return PreferenceManager.getDefaultSharedPreferences(context).edit();
    }

    public String GetString(String name, String... def)
    {
        return Read().getString(name, null != def && def.length > 0 ? def[0] : null);
    }

    public boolean GetBool(String name, boolean... def)
    {
        return Read().getBoolean(name, null != def && def.length > 0 ? def[0] : false);
    }

    public void Remove(String name)
    {
        Write().remove(name).commit();
    }

    public void SetString(String name, String val)
    {
        Write().putString(name, val).commit();
    }

    public void SetInt(String name, int val)
    {
        Write().putInt(name, val).commit();
    }

    public int GetInt(String name, int... def)
    {
        return Read().getInt(name, null != def && def.length > 0 ? def[0] : 0);
    }


    public int GetIntFromString(String name, int defVal)
    {
        String str = Read().getString(name, "");
        return NSStr.parseInt_s(str, defVal);
    }
}
